Subject: Re: [PATCH 05/15] refs.c: update rename_ref to use a transaction

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Oct 2014 14:12:49 -0700

Ronnie Sahlberg <[email-masked]> writes:

> I timed a git branch -m for a branch with ~2400 log entries and it
> takes neglible time :
>   real 0m0.008s
>   user 0m0.000s
>   sys 0m0.007s

I really hate this line of reasoning.  Small things tend to add up.

More importantly, when you know that the end result you want to see
is that the old and new log files are bit-for-bit identical, and if
not there is some bug in either parsing or formatting, why parse the
old and reformat into the new?  What would happen when there were
malformed entries in the old that makes your parsing fail?